﻿using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media.Animation;

namespace InitializingAnimations
{
    public static class Utility
    {
        public static Storyboard FindStoryboard(this FrameworkElement parent, string groupName, string stateName)
        {
            VisualState visualState = VisualStateManager.GetVisualStateGroups(parent)
                .Cast<VisualStateGroup>().Where(group => group.Name == groupName)
                .SingleOrDefault()
                .States.Cast<VisualState>()
                .Where(state => state.Name == stateName)
                .SingleOrDefault();

            if (visualState != null)
                return visualState.Storyboard;

            return null;
        }
    }
}
